# Uses of Interface
org.eclipse.net4j.util.cache.ICacheMonitor

Packages that use ICacheMonitor
Package
Description
org.eclipse.net4j.util.cache
A generic caching and memory monitoring framework.

## Uses of ICacheMonitor in org.eclipse.net4j.util.cache

Classes in org.eclipse.net4j.util.cache that implement ICacheMonitor
Modifier and Type
Class
Description
`class`
`CacheMonitor`
Methods in org.eclipse.net4j.util.cache that return ICacheMonitor
Modifier and Type
Method
Description
`ICacheMonitor`
Cache.`getCacheMonitor()`
`ICacheMonitor`
CacheRegistration.`getCacheMonitor()`
`ICacheMonitor`
ICache.`getCacheMonitor()`
`ICacheMonitor`
ICacheRegistration.`getCacheMonitor()`
`ICacheMonitor`
ICacheMonitorEvent.`getSource()`
Methods in org.eclipse.net4j.util.cache with parameters of type ICacheMonitor
Modifier and Type
Method
Description
`void`
Cache.`setCacheMonitor(ICacheMonitor cacheMonitor)`
Constructors in org.eclipse.net4j.util.cache with parameters of type ICacheMonitor
Modifier
Constructor
Description
``
`CacheRegistration(ICacheMonitor cacheMonitor, ICache cache)`